import useSDKFactory from './useSDKFactory';
import useAccount from './useAccount';
import { UseCase, } from '@inkerlabs/sdk';
export default function useBuyPublicFactory(useCase) {
    return function useBuyPrivate() {
        var sdk = useSDKFactory()();
        if (!sdk) {
            throw new Error('Sdk not initialized');
        }
        useAccount();
        switch (useCase) {
            case UseCase.PASS:
                var passSDK_1 = sdk;
                //@ts-ignore
                return function (assetId, amount) {
                    return passSDK_1.buyPublic(assetId, amount);
                };
            case UseCase.RR:
                var rrSDK_1 = sdk;
                //@ts-ignore
                return function (amount) { return rrSDK_1.buyPublic(amount); };
            case UseCase.SR:
                var srSDK_1 = sdk;
                //@ts-ignore
                return function (amount) { return srSDK_1.buyPublic(amount); };
            default:
                throw new Error("Unknown use case ".concat(useCase));
        }
    };
}
